--- ../asterisk-1.4.4/menuselect/menuselect.c	2007-05-01 21:23:03.000000000 +0300
+++ menuselect/menuselect.c	2007-06-17 13:23:25.000000000 +0300
@@ -276,7 +276,9 @@
 static int process_deps(void)
 {
 	struct category *cat;
+	struct category *cat2;
 	struct member *mem;
+	struct member *mem2;
 	struct depend *dep;
 	struct conflict *cnf;
 	FILE *f;
@@ -322,11 +324,27 @@
 						break;
 					}
 				}
-				if (mem->depsfailed)
+				if (mem->depsfailed){
+					/* Try to locate deps also in members */
+					AST_LIST_TRAVERSE(&categories, cat2, list) {
+					AST_LIST_TRAVERSE(&cat2->members,mem2,list){
+						if (!strcasecmp(mem2->name,dep->name)){
+							if (!mem2->depsfailed)
+								mem->depsfailed = 0;
+							break;
+						}
+					}
+					}
+				}
+				if (mem->depsfailed){
+#ifdef MENUSELECT_DEBUG
+					fprintf(stderr,"Failed dep %s for member %s\n",dep->name,mem->name);
+#endif
 					break; /* This dependency is not met, so we can stop now */
 			}
 		}
 	}
+	}
 
 	/* Process conflicts of all modules */
 	AST_LIST_TRAVERSE(&categories, cat, list) {
